ldconfig(8)

NUME
ldconfig - configurează asocierile de timp de execuție ale editorului de legături dinamice

SINOPSIS
/sbin/ldconfig [-nNvVX] [-C cache] [-f configurare] [-r rădăcina] director ...
/sbin/ldconfig -l [-v] bibliotecă ...
/sbin/ldconfig -p

DESCRIERE
ldconfig creează legăturile și memoria cache necesare către cele mai recente biblioteci partajate care se găsesc în directoarele specificate în linia de comandă, în fișierul /etc/ld.so.conf și în directoarele de încredere, /lib și /usr/lib. Pe unele arhitecturi pe 64 de biți, cum ar fi x86-64, /lib și /usr/lib sunt directoarele de încredere pentru bibliotecile pe 32 de biți, în timp ce /lib64 și /usr/lib64 sunt utilizate pentru bibliotecile pe 64 de biți.

Memoria cache este utilizată de către editorul de legături în timp de execuție, ld.so sau ld-linux.so. ldconfig verifică antetul și numele de fișier ale bibliotecilor pe care le întâlnește atunci când stabilește care versiuni ar trebui să aibă legăturile actualizate. În mod normal, ldconfig ar trebui să fie rulat de către superutilizator, deoarece poate necesita permisiunea de scriere în unele directoare și fișiere deținute de root.

ldconfig se va uita numai la fișierele care se numesc lib*.so* (pentru obiecte partajate obișnuite) sau ld-*.so* (pentru încărcătorul dinamic propriu-zis). Celelalte fișiere vor fi ignorate. De asemenea, ldconfig se așteaptă la un anumit model de configurare a legăturilor simbolice, ca în acest exemplu, în care fișierul din mijloc (libfoo.so.1 aici) este numele SONAME pentru bibliotecă:

    libfoo.so -> libfoo.so.1 -> libfoo.so.1.12

Nerespectarea acestui model poate duce la probleme de compatibilitate după o actualizare.

OPȚIUNI

--format=format
-c format
    (Începând cu glibc 2.2) Utilizează formatul de memorie cache format, care este unul dintre old, new sau compat. Începând cu glibc 2.32, valoarea implicită este new. Înainte de aceasta, era compat.

-C cache
    Utilizează cache în loc de /etc/ld.so.cache.

-f configurare
    Utilizează configurare în loc de /etc/ld.so.conf.

--ignore-aux-cache
-i
    (Începând cu glibc 2.7) Ignoră fișierul cache auxiliar.

-l  (Începând cu glibc 2.2) Interpretează fiecare operand ca fiind un nume de bibliotecă și configurează legăturile acesteia. Destinat a fi utilizat numai de către experți.

-n  Procesează numai directoarele specificate în linia de comandă; nu procesează directoarele de încredere și nici pe cele specificate în /etc/ld.so.conf. Implică -N.

-N  Nu reconstruiește memoria cache. Cu excepția cazului în care se specifică și -X, legăturile sunt în continuare actualizate.

--print-cache
-p
    Afișează listele de directoare și biblioteci candidate stocate în memoria cache curentă.

-r rădăcina
    Schimbă și folosește rădăcina ca director rădăcină.

--verbose
-v
    Modul descriptiv. Afișează numărul versiunii curente, numele fiecărui director pe măsură ce este scanat și toate legăturile care sunt create. Suprascrie modul silențios.

--version
-V
    Afișează versiunea programului.

-X  Nu actualizează legăturile. Cu excepția cazului în care se specifică și -N, memoria cache este în continuare reconstruită.

FIȘIERE
/lib/ld.so
    este editorul de legături/încărcătorul în timp de execuție.
/etc/ld.so.conf
    conține o listă de directoare, unul pe linie, în care se caută bibliotecile.
/etc/ld.so.cache
    conține o listă ordonată a bibliotecilor care se găsesc în directoarele specificate în /etc/ld.so.conf, precum și a celor care se găsesc în directoarele de încredere.

CONSULTAȚI ȘI
ldd(1), ld.so(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.